org.bdgenomics.adam.models

# MdTagEvent

#### object MdTagEvent extends Enumeration

Enumeration describing sequence events in an MD tag:

* Match is a sequence match (i.e., every base in the aligned sequence matches the reference sequence) * Mismatch is a sequence mismatch (there are bases that do not match the reference sequence) * Delete indicates that bases that were present in the reference sequence were deleted in the read sequence

Linear Supertypes
Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MdTagEvent
2. Enumeration
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( -3501153230598116017L )

2. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( 7091335633555234129L )

3. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val Delete: Value

7. #### val Match: Value

8. #### val Mismatch: Value

9. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

10. #### final def Value(name: String): Value

    Attributes
      protected
    Definition Classes
      Enumeration

11. #### final def Value(i: Int): Value

    Attributes
      protected
    Definition Classes
      Enumeration

12. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

13. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

14. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

15. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def maxId: Int

    Definition Classes
      Enumeration

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

25. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

31. #### def values: ValueSet

    Definition Classes
      Enumeration

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped